@echo off

rem Use the Log directory for the application
rem     %1  Drive where the appl is installed      C:
rem     %2  System location                        TestTAPs
set TFSys=%1\%2\log\

echo *************************************
echo ***BACKUP*** %TFSys%
echo *************************************

SETLOCAL

rem Get this directory
rem set TFSys=%~dp0%

FOR /f "tokens=1-4 delims=/-. " %%G IN ('date /t') DO (call :s_fixdate %%G %%H %%I %%J)
goto :s_print_the_date
   
:s_fixdate
if "%1:~0,1%" GTR "9" shift
FOR /f "skip=1 tokens=2-4 delims=(-)" %%G IN ('echo.^|date') DO (
    set %%G=%1&set %%H=%2&set %%I=%3)
goto :eof

:s_print_the_date
rem echo Month:[%mm%]  Day:[%dd%]  Year:[%yy%]
ENDLOCAL&SET mm=%mm%&SET dd=%dd%&SET yy=%yy%


Set TFDate=TF%yy%/%mm%/%dd%-%Time%
rem TF2005/10/27-14:31:08.67
rem 0123456789_123456789_123
set TFA=%TFDate:~2,4%-%TFDate:~7,2%-%TFDate:~10,2%
set TFH1=%TFDate:~13,1%
set TFH2=%TFDate:~14,1%
set TFM=%TFDate:~16,2%
set TFS=%TFDate:~19,2%
rem Make sure there are no spaces in the time
if "%TFH1%" EQU " " set TFH1=0

rem Build the directory
set SaveName=Save%TFA%-%TFH1%%TFH2%-%TFM%-%TFS%

rem if "%1" == "" goto nodesc
rem set SaveName=Save%TFA%-%TFH1%%TFH2%-%TFM%-%TFS%-%1

:nodesc

echo Creating: %TFSys%SaveHistory\%SaveName%

mkdir %TFSys%SaveHistory\%SaveName%
rem mkdir %TFSys%SaveHistory\%SaveName%\Tam
rem copy  %TFSys%*.tap     %TFSys%SaveHistory\%SaveName%
rem copy  %TFSys%Tam\*.*   %TFSys%SaveHistory\%SaveName%\Tam

rem copy  %TFSys%*.pas   %TFSys%SaveHistory\%SaveName%
rem copy  %TFSys%*.dcu   %TFSys%SaveHistory\%SaveName%
rem copy  %TFSys%*.dfm   %TFSys%SaveHistory\%SaveName%
rem copy  %TFSys%*.dpr   %TFSys%SaveHistory\%SaveName%
rem copy  %TFSys%*.res   %TFSys%SaveHistory\%SaveName%
rem copy  %TFSys%*.ico   %TFSys%SaveHistory\%SaveName%
rem copy  %TFSys%*.txt   %TFSys%SaveHistory\%SaveName%

echo xcopy/M  %TFSys%*.log   %TFSys%SaveHistory\%SaveName%
rem Copies only those files with archive attribute set; in other
rem words the ones that have changed since the last copy was done.
rem Reset archive attribute on each file after it is copied.
xcopy/M  %TFSys%*.log  %TFSys%SaveHistory\%SaveName%

goto end

:error
echo -
echo ERROR
echo -

:end
